package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 录取原则对象 mall_accept_rule
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallAcceptRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 录取规则id */
    private Long acceptRuleId;

    /** 种类 */
    private Integer ruleClass;

    /** 文化满分 */
    private Integer fullCulture;

    /** 专业满分 */
    private Integer fullMajor;

    /** 录取满分 */
    private BigDecimal fullScore;

    /** 联考转换系数 */
    private BigDecimal changeRate;


    /** 类型(0-投档,1-录取) */
    private Integer ruleType;

    /** 录取原则  */
    private String ruleStr;

    /** 投档公式 */
    private String ruleCountStr;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 是否新规则0-否,1-是  */
    private Integer isNew;

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public String getRuleCountStr() {
        return ruleCountStr;
    }

    public void setRuleCountStr(String ruleCountStr) {
        this.ruleCountStr = ruleCountStr;
    }

    public Integer getRuleClass() {
        return ruleClass;
    }

    public void setRuleClass(Integer ruleClass) {
        this.ruleClass = ruleClass;
    }

    public Integer getFullCulture() {
        return fullCulture;
    }

    public void setFullCulture(Integer fullCulture) {
        this.fullCulture = fullCulture;
    }

    public Integer getFullMajor() {
        return fullMajor;
    }

    public void setFullMajor(Integer fullMajor) {
        this.fullMajor = fullMajor;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public BigDecimal getChangeRate() {
        return changeRate;
    }

    public void setChangeRate(BigDecimal changeRate) {
        this.changeRate = changeRate;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(String updateAt) {
        this.updateAt = updateAt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }



    @Override
    public String toString() {
        return "MallAcceptRule{" +
                "acceptRuleId=" + acceptRuleId +
                ", ruleClass=" + ruleClass +
                ", fullCulture=" + fullCulture +
                ", fullMajor=" + fullMajor +
                ", fullScore=" + fullScore +
                ", changeRate=" + changeRate +
                ", ruleType=" + ruleType +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
